Subject: Re: read-cache-v5.c: compiler warnings

From: Thomas Gummerer <[email-masked]>
Date: Mon, 20 Aug 2012 10:29:34 +0200

On 08/19, Ramsay Jones wrote:
> Hi Thomas,
> 
> Just an FYI; two out of the three gcc compilers I use (Linux, cygwin
> but not MingW), issue the following warnings:
> 
>         CC read-cache-v5.o
>     read-cache-v5.c: In function `write_index_v5':
>     read-cache-v5.c:1011: warning: 'dir' might be used uninitialized in this function
>     read-cache-v5.c:1012: warning: 'search' might be used uninitialized in this function
>     read-cache-v5.c:1012: warning: 'found' might be used uninitialized in this function
> 
> [commit d2537158 ("Write index-v5", 16-08-2012)]
> 
> Normally I would take a look and offer a patch, but I haven't found time
> to do so in the last 10 days. So, I'm just giving you a heads up ... ;-P

Thanks for noticing.  This warnings only seem to be issued by older
versions of gcc, which is probably why two compilers give the warnings
while one doesn't.

The variables can never be uninitialized, because they are guarded by
ifs and older versions don't seem to recognize that.  I'll fix them
in a re-roll though (or a separate patch if that's preferred), just
waiting for some feedback for v4 of my series.

> HTH
> ATB,
> Ramsay Jones

Thomas